JmsUtilsClient¶
- class oci.jms_utils.JmsUtilsClient(config, **kwargs)¶
The APIs for Analyze Applications and other utilities of Java Management Service.
Methods:
__init__(config, **kwargs)Creates a new service client
cancel_work_request(work_request_id, **kwargs)Cancels a work request.
Deletes a Java Migration Analysis.
Deletes a Performance Tuning Analysis.
get_analyze_applications_configuration(**kwargs)Returns the configuration for analyzing applications.
Gets information about a Java Migration Analysis.
Gets information about a Performance Tuning Analysis.
Returns the configuration for subscription acknowledgment.
get_work_request(work_request_id, **kwargs)Gets the details of a work request.
list_java_migration_analysis(**kwargs)Gets a list of Java Migration Analysis.
list_performance_tuning_analysis(**kwargs)Gets a list of Performance tuning Analysis.
list_work_items(work_request_id, **kwargs)Retrieve a paginated list of work items for a specified work request.
list_work_request_errors(work_request_id, ...)Lists the errors for a work request.
list_work_request_logs(work_request_id, **kwargs)Lists the logs for a work request.
list_work_requests(**kwargs)Lists the work requests in a compartment.
Requests Java Migration Analysis.
Requests Performance Tuning Analysis.
Updates the configuration for analyze application.
Updates the configuration for subscription acknowledgment.
- __init__(config, **kwargs)¶
Creates a new service client
- Parameters
config (dict) – Configuration keys and values as per SDK and Tool Configuration. The
from_file()method can be used to load configuration from a file. Alternatively, adictcan be passed. You can validate_config the dict usingvalidate_config()service_endpoint (str) – (optional) The endpoint of the service to call using this client. For example
https://iaas.us-ashburn-1.oraclecloud.com. If this keyword argument is not provided then it will be derived using the region in the config parameter. You should only provide this keyword argument if you have an explicit need to specify a service endpoint.timeout (float or tuple(float, float)) – (optional) The connection and read timeouts for the client. The default values are connection timeout 10 seconds and read timeout 60 seconds. This keyword argument can be provided as a single float, in which case the value provided is used for both the read and connection timeouts, or as a tuple of two floats. If a tuple is provided then the first value is used as the connection timeout and the second value as the read timeout.
signer (
AbstractBaseSigner) –(optional) The signer to use when signing requests made by the service client. The default is to use a
Signerbased on the values provided in the config parameter.One use case for this parameter is for Instance Principals authentication by passing an instance of
InstancePrincipalsSecurityTokenSigneras the value for this keyword argumentretry_strategy (obj) –
(optional) A retry strategy to apply to all calls made by this service client (i.e. at the client level). There is no retry strategy applied by default. Retry strategies can also be applied at the operation level by passing a
retry_strategykeyword argument as part of calling the operation. Any value provided at the operation level will override whatever is specified at the client level.This should be one of the strategies available in the
retrymodule. A convenienceDEFAULT_RETRY_STRATEGYis also available. The specifics of the default retry strategy are described here.circuit_breaker_strategy (obj) – (optional) A circuit breaker strategy to apply to all calls made by this service client (i.e. at the client level). This client uses
DEFAULT_CIRCUIT_BREAKER_STRATEGYas default if no circuit breaker strategy is provided. The specifics of circuit breaker strategy are described here.circuit_breaker_callback (function) – (optional) Callback function to receive any exceptions triggerred by the circuit breaker.
client_level_realm_specific_endpoint_template_enabled (bool) – (optional) A boolean flag to indicate whether or not this client should be created with realm specific endpoint template enabled or disable. By default, this will be set as None.
allow_control_chars – (optional) allow_control_chars is a boolean to indicate whether or not this client should allow control characters in the response object. By default, the client will not allow control characters to be in the response object.
enable_strict_url_encoding – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this client should enable strict url encoding in path params of a request. By default, the client will not enable strict url encoding
- cancel_work_request(work_request_id, **kwargs)¶
Cancels a work request.
- Parameters
work_request_id (str) –
(required) The OCID of the asynchronous work request.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID. The only valid characters for request IDs are letters, numbers, underscore, and dash.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use cancel_work_request API.
- delete_java_migration_analysis(java_migration_analysis_id, **kwargs)¶
Deletes a Java Migration Analysis.
- Parameters
java_migration_analysis_id (str) –
(required) The OCID of the Java Migration Analysis.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID. The only valid characters for request IDs are letters, numbers, underscore, and dash.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_java_migration_analysis API.
- delete_performance_tuning_analysis(performance_tuning_analysis_id, **kwargs)¶
Deletes a Performance Tuning Analysis.
- Parameters
performance_tuning_analysis_id (str) –
(required) The OCID of the Performance Tuning Analysis.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID. The only valid characters for request IDs are letters, numbers, underscore, and dash.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_performance_tuning_analysis API.
- get_analyze_applications_configuration(**kwargs)¶
Returns the configuration for analyzing applications.
- Parameters
compartment_id (str) –
(optional) The OCID of the compartment in which to list resources.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID. The only valid characters for request IDs are letters, numbers, underscore, and dash.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAnalyzeApplicationsConfiguration- Return type
- Example
Click here to see an example of how to use get_analyze_applications_configuration API.
- get_java_migration_analysis(java_migration_analysis_id, **kwargs)¶
Gets information about a Java Migration Analysis.
- Parameters
java_migration_analysis_id (str) –
(required) The OCID of the Java Migration Analysis.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID. The only valid characters for request IDs are letters, numbers, underscore, and dash.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeJavaMigrationAnalysis- Return type
- Example
Click here to see an example of how to use get_java_migration_analysis API.
- get_performance_tuning_analysis(performance_tuning_analysis_id, **kwargs)¶
Gets information about a Performance Tuning Analysis.
- Parameters
performance_tuning_analysis_id (str) –
(required) The OCID of the Performance Tuning Analysis.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID. The only valid characters for request IDs are letters, numbers, underscore, and dash.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typePerformanceTuningAnalysis- Return type
- Example
Click here to see an example of how to use get_performance_tuning_analysis API.
- get_subscription_acknowledgment_configuration(**kwargs)¶
Returns the configuration for subscription acknowledgment.
- Parameters
compartment_id (str) –
(optional) The OCID of the compartment in which to list resources.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID. The only valid characters for request IDs are letters, numbers, underscore, and dash.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeSubscriptionAcknowledgmentConfiguration- Return type
- Example
Click here to see an example of how to use get_subscription_acknowledgment_configuration API.
- get_work_request(work_request_id, **kwargs)¶
Gets the details of a work request.
- Parameters
work_request_id (str) –
(required) The OCID of the asynchronous work request.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID. The only valid characters for request IDs are letters, numbers, underscore, and dash.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeWorkRequest- Return type
- Example
Click here to see an example of how to use get_work_request API.
- list_java_migration_analysis(**kwargs)¶
Gets a list of Java Migration Analysis.
- Parameters
compartment_id (str) –
(optional) The OCID of the compartment in which to list resources.
id (str) –
(optional) The OCID of the Java Migration Analysis.
analysis_project_name (str) – (optional) The project name of the Performance Tuning Analysis to query for.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. The token is usually retrieved from a previous list call.
sort_order (str) –
(optional) The sort order to use, either ascending (ASC) or descending (DESC).
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort Java Migration Analysis. Only one sort order may be provided.
Allowed values are: “TIME_CREATED”, “TIME_STARTED”, “TIME_FINISHED”
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID. The only valid characters for request IDs are letters, numbers, underscore, and dash.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeJavaMigrationAnalysisCollection- Return type
- Example
Click here to see an example of how to use list_java_migration_analysis API.
- list_performance_tuning_analysis(**kwargs)¶
Gets a list of Performance tuning Analysis.
- Parameters
compartment_id (str) –
(optional) The OCID of the compartment in which to list resources.
id (str) –
(optional) The OCID of the Performance Tuning Analysis.
analysis_project_name (str) – (optional) The project name of the Performance Tuning Analysis to query for.
performance_tuning_analysis_result (str) –
(optional) The result of the Performance Tuning Analysis to query for.
Allowed values are: “ACTION_RECOMMENDED”, “NO_WARNINGS”
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. The token is usually retrieved from a previous list call.
sort_order (str) –
(optional) The sort order to use, either ascending (ASC) or descending (DESC).
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort Performance Tuning Analysis. Only one sort order may be provided.
Allowed values are: “TIME_CREATED”, “TIME_STARTED”, “TIME_FINISHED”
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID. The only valid characters for request IDs are letters, numbers, underscore, and dash.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typePerformanceTuningAnalysisCollection- Return type
- Example
Click here to see an example of how to use list_performance_tuning_analysis API.
- list_work_items(work_request_id, **kwargs)¶
Retrieve a paginated list of work items for a specified work request.
- Parameters
work_request_id (str) –
(required) The OCID of the asynchronous work request.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID. The only valid characters for request IDs are letters, numbers, underscore, and dash.
page (str) – (optional) The page token representing the page at which to start retrieving results. The token is usually retrieved from a previous list call.
limit (int) – (optional) The maximum number of items to return.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeWorkItemCollection- Return type
- Example
Click here to see an example of how to use list_work_items API.
- list_work_request_errors(work_request_id, **kwargs)¶
Lists the errors for a work request.
- Parameters
work_request_id (str) –
(required) The OCID of the asynchronous work request.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID. The only valid characters for request IDs are letters, numbers, underscore, and dash.
page (str) – (optional) The page token representing the page at which to start retrieving results. The token is usually retrieved from a previous list call.
limit (int) – (optional) The maximum number of items to return.
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending.
Allowed values are: “timeCreated”
sort_order (str) –
(optional) The sort order to use, either ascending (ASC) or descending (DESC).
Allowed values are: “ASC”, “DESC”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeWorkRequestErrorCollection- Return type
- Example
Click here to see an example of how to use list_work_request_errors API.
- list_work_request_logs(work_request_id, **kwargs)¶
Lists the logs for a work request.
- Parameters
work_request_id (str) –
(required) The OCID of the asynchronous work request.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID. The only valid characters for request IDs are letters, numbers, underscore, and dash.
page (str) – (optional) The page token representing the page at which to start retrieving results. The token is usually retrieved from a previous list call.
limit (int) – (optional) The maximum number of items to return.
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending.
Allowed values are: “timeCreated”
sort_order (str) –
(optional) The sort order to use, either ascending (ASC) or descending (DESC).
Allowed values are: “ASC”, “DESC”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeWorkRequestLogEntryCollection- Return type
- Example
Click here to see an example of how to use list_work_request_logs API.
- list_work_requests(**kwargs)¶
Lists the work requests in a compartment.
- Parameters
compartment_id (str) –
(optional) The OCID of the compartment in which to list resources.
work_request_id (str) –
(optional) The OCID of the asynchronous work request.
status (str) –
(optional) A filter to return only the resources that match the given lifecycle state.
Allowed values are: “ACCEPTED”, “IN_PROGRESS”, “WAITING”, “NEEDS_ATTENTION”, “FAILED”, “SUCCEEDED”, “CANCELLING”, “CANCELLED”
resource_id (str) –
(optional) The OCID of the resource affected by the work request.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID. The only valid characters for request IDs are letters, numbers, underscore, and dash.
page (str) – (optional) The page token representing the page at which to start retrieving results. The token is usually retrieved from a previous list call.
limit (int) – (optional) The maximum number of items to return.
sort_order (str) –
(optional) The sort order to use, either ascending (ASC) or descending (DESC).
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeAccepted is descending.
Allowed values are: “timeAccepted”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeWorkRequestSummaryCollection- Return type
- Example
Click here to see an example of how to use list_work_requests API.
- request_java_migration_analysis(request_java_migration_analysis_details, **kwargs)¶
Requests Java Migration Analysis.
- Parameters
request_java_migration_analysis_details (oci.jms_utils.models.RequestJavaMigrationAnalysisDetails) – (required) Details for the new JavaMigrationAnalysis.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of running that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and removed from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID. The only valid characters for request IDs are letters, numbers, underscore, and dash.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use request_java_migration_analysis API.
- request_performance_tuning_analysis(request_performance_tuning_analysis_details, **kwargs)¶
Requests Performance Tuning Analysis.
- Parameters
request_performance_tuning_analysis_details (oci.jms_utils.models.RequestPerformanceTuningAnalysisDetails) – (required) Details for the new PerformanceTuningAnalysis.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of running that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and removed from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID. The only valid characters for request IDs are letters, numbers, underscore, and dash.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use request_performance_tuning_analysis API.
- update_analyze_applications_configuration(update_analyze_applications_configuration_details, **kwargs)¶
Updates the configuration for analyze application.
- Parameters
update_analyze_applications_configuration_details (oci.jms_utils.models.UpdateAnalyzeApplicationsConfigurationDetails) – (required) The information to be updated.
compartment_id (str) –
(optional) The OCID of the compartment in which to list resources.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID. The only valid characters for request IDs are letters, numbers, underscore, and dash.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAnalyzeApplicationsConfiguration- Return type
- Example
Click here to see an example of how to use update_analyze_applications_configuration API.
- update_subscription_acknowledgment_configuration(update_subscription_acknowledgment_configuration_details, **kwargs)¶
Updates the configuration for subscription acknowledgment.
- Parameters
update_subscription_acknowledgment_configuration_details (oci.jms_utils.models.UpdateSubscriptionAcknowledgmentConfigurationDetails) – (required) The configuration to be updated.
compartment_id (str) –
(optional) The OCID of the compartment in which to list resources.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID. The only valid characters for request IDs are letters, numbers, underscore, and dash.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeSubscriptionAcknowledgmentConfiguration- Return type
- Example
Click here to see an example of how to use update_subscription_acknowledgment_configuration API.